<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="loading$ | async as loading">
  <div class="flex items-center gap-6 text-white">
    <div *ngFor="let privacy of privacies">
      <app-action-button
        [title]="privacy.Caption | titlecase"
        [icon]="privacy.icon"
        (onClick)="changePrivacy(privacy)"
        [loading]="(loading == null || loading) && level == privacy.Level"
      >
        <ng-template #description>
          <div class="pb-3">Level: {{ privacy.Level }}</div>
          <div>{{ privacy.description }}</div>
        </ng-template>
      </app-action-button>
    </div>
  </div></ng-container
>
